  <table class="list_tables2">
 	<thead>
    	<tr>
			<th><tpl> $langSysSQLBackFileName </tpl></th>
            <!-- <th align="center" valign="middle" bgcolor="#DBE6DE">备份时间</th> -->
            <th><tpl> $langSysSQLBackSize </tpl></th>
            <th><tpl> $langSysSQLNumber </tpl></th>
			<th><tpl> $langSysSQLAnnotate </tpl></th>
            <th><tpl> $langCOperation </tpl></th>
      </tr>
	</thead>
          <tpl> section name=i loop=$file_array </tpl>
          <tr>
            <td align="left"><tpl> $file_array[i].name </tpl></td>
            <!-- <td align="center" valign="middle" bgcolor="#FFFFFF"><tpl> $file_array[i].time </tpl></td> -->
            <td align="left"><tpl> $file_array[i].size </tpl></td>
            <td align="left"><tpl> $file_array[i].vol[3] </tpl></td>
			<td align="left"><tpl> if $file_array[i].vol[3] eq 1 </tpl><tpl> $file_array[i].remark </tpl><tpl> /if </tpl></td>
            <td align="left"><tpl> if $file_array[i].vol[3] eq 1 </tpl>
                <input name="button2" type="button" class="btn_submit" onclick="ui_restor('action=restore_two&filename=<tpl> $file_array[i].name </tpl>');" value="<tpl> $langSysSQLRevertThisBack </tpl>" />
                <input name="button" type="button" class="btn_submit" onclick="ui_del('action=del&filename=<tpl> $file_array[i].name </tpl>');" value="<tpl> $langSysSQLDelBack </tpl>" />
				<input name="button" type="button" class="btn_submit" onclick="ShowDiv='result_content';getPageContent('sqlback.manage.php?action=restore');" value="<tpl> $langSysSQLReturnRevertList </tpl>" />
            <tpl> /if </tpl> </td>
          </tr>
          <tpl> /section </tpl>
        </table>
	
<div id="ui_question" style="display:none; cursor: default; padding:10px"> 
        <b style=" font-size:14px; margin-top:10px; line-height:50px; height:50px;padding-top:10px; padding-bottom:10px"><tpl> $langCConfirmDelete </tpl></b><br />
        <input type="button" id="yes" value="<tpl> $langCYes </tpl>" /> 
        <input type="button" id="no" value="<tpl> $langCNo </tpl>" />
		<input type="hidden" id="del_value" />
</div> 
<div id="ui_re" style="display:none; cursor: default; padding:10px"> 
        <b style=" font-size:14px; margin-top:10px; line-height:50px; height:50px;padding-top:10px; padding-bottom:10px"><tpl> $langSysSQLConfirmRevert </tpl></b><br />
        <input type="button" id="yes_re" value="<tpl> $langCYes </tpl>" /> 
        <input type="button" id="no_re" value="<tpl> $langCNo </tpl>" />
		<input type="hidden" id="restor_value" />
</div> 
<script>
var ui_question = $("#ui_question")[0];
var ui_re = $("#ui_re")[0];
//删除
function ui_del(str){
	hideMessage();
	$.blockUI(ui_question, { width: '275px' }); 
	$('#del_value').val(str);
}
//还原
function ui_restor(str){
	hideMessage();
	$.blockUI(ui_re, { width: '275px' }); 
	$('#restor_value').val(str);
}
$(function() {
	$('#yes').click(function() {
		$.ajax({
			url: "sqlback.manage.php",
			data: $('#del_value').val(),
			type:'post',
			dataType:"json",
			beforeSubmit:  showLoading(showText),
			success: function(msg){
				hideLoading();
				showMessage(msg.message,msg.type);
				if(msg.type == 1){
					ShowDiv	= 'result_content';
					getPageContent("sqlback.manage.php?action=restore");
				}
				$.unblockUI(); 
			}
		});
		return false; 
	}); 
	$('#no').click($.unblockUI); 
	
	$('#yes_re').click(function() {
		$.ajax({
			url: "sqlback.manage.php",
			data: $('#restor_value').val(),
			type:'post',
			dataType:"json",
			beforeSubmit:  showLoading(showText),
			success: function(msg){
				hideLoading();
				showMessage(msg.message,msg.type);
				if(msg.type == 1){
					ShowDiv	= 'result_content';
					getPageContent("sqlback.manage.php?action=restore");
				}
				$.unblockUI(); 
			}
		});
		return false; 
	}); 
	$('#no_re').click($.unblockUI); 
	
}); 
</script>